Bug 475496 - (imon_kernel_crash) Kernel "oops" when I try to associate my iMon remote to use it with lirc.
Kernel "oops" when I try to associate my iMon remote to use it with lirc.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Jarod Wilson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-09 09:59 EST by Giulio Amodeo
Modified: 2009-08-30 00:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-30 00:59:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Kerneloops report. (2.28 KB, text/plain)
2008-12-09 09:59 EST, Giulio Amodeo
no flags Details

  None (edit)
Description Giulio Amodeo 2008-12-09 09:59:30 EST
Created attachment 326324 [details]
Kerneloops report.

Description of problem:

When I try to manually associate to lirc my iMon 2.4G remote on F10 (see http://www.lirc.org/html/imon-24g.html) I get a kernel "oops" popup, and of course the association process fails.

Version-Release number of selected component (if applicable):

Latest packages on fedora and fedora-updates: lirc version 0.8.4a and kernel 
2.6.27.5.117

How reproducible:

Always (but only once for each fresh boot).

Steps to Reproduce:

Just follow the procedure linked above:

1. open two root terminals
2. start lirc (/etc/init.d/lirc start) [terminal 1]
3. start irw [terminal 2]
4. find /sys -name associate_remote [terminal 1]
5. echo > (output of previous command) [terminal 1]
6. push some buttons on the remote and watch the output of irw [terminal 2]
  
Actual results:

I get the kernel "oops" popup and the association process fails. Lirc dies as well.

Expected results:

irw should output the codes of the buttons pressed (taken from lircd.conf), indicating that the association process worked.

Additional info:

Attached kerneloops report.
Comment 1 Chuck Ebbert 2008-12-10 08:13:05 EST
drivers/input/lirc/lirc_imon.c:375
        if (!context->tx_control) {
                pipe = usb_sndintpipe(context->dev,
===>                                  context->tx_endpoint->bEndpointAddress);
                interval = context->tx_endpoint->bInterval;

context->tx_endpoint is NULL
Comment 2 Jarod Wilson 2009-06-15 11:40:24 EDT
I see what's going on, and I think I have a fix...

http://git.wilsonet.com//linux-2.6-lirc.git?a=commitdiff;h=e73cb11b344234b45bb9450b3c2c1d39574bb473

Will push into rawhide and F11 Real Soon Now. F10 might be more time and effort than I can put in at the moment...
Comment 3 Giulio Amodeo 2009-06-17 03:49:17 EDT
Awesome, thank you Jarod!

I will let you know if everything works out, I should update to F11 any day now.
Comment 4 Jarod Wilson 2009-06-17 14:13:20 EDT
Just committed new imon code to F10 (kernel-2.6.29.5-86.fc10), F11 (kernel-2.6.29.5-192.fc11) and rawhide (kernel-2.6.30-10.fc12) that carries this fix.
Comment 5 Jarod Wilson 2009-08-30 00:59:04 EDT
Pretty sure this should be good to go on all the above kernels and later, closing.

Note You need to log in before you can comment on or make changes to this bug.